/*
    *
    * This file is a part of Libcprime.
    * Library for bookmarking, saving recent activites, managing settings for CuboCore Application Suite
	* Copyright 2019 CuboCore Group
    *

    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 3 of the License, or
    * (at your option) any later version.
    *

    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *

    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, vsit http://www.gnu.org/licenses/.
    *
*/


#ifndef PINIT_H
#define PINIT_H

#include <QDialog>

#include "pinmanage.h"
#include "libcprime_global.h"

namespace Ui {
    class pinit;
}

class LIBCPRIMESHARED_EXPORT pinit : public QDialog
{
    Q_OBJECT

public:
    explicit pinit(QWidget *parent = nullptr);
    ~pinit();

    static bool callPinIt(QWidget *parent, const QString &currentPath);
    void checkPath();
    void setPinPath(const QString &path);
    void setPinName(const QString &bName);

    QString getPinName();
    QString getSectionName();

    bool accepted = false;

private slots:
    void on_done_clicked();
    void pinName_Changed();
    void item_Changed();
    void on_pinName_textChanged(const QString &arg1);
    void on_pinSection_currentIndexChanged(const QString &arg1);

private:
    Ui::pinit *ui;
    pinmanage pin;
};

#endif // PINIT_H
